Subject: Re: [PATCH] git-gui: support Git Gui.app under OS X 10.5

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 12 Feb 2008 02:33:06 -0500

Seth Falcon <[email-masked]> wrote:
> [email-masked] writes:
> > The Tk Framework moved its location in 10.5 compared to 10.4
> >
> > Signed-off-by: Jay Soffian <[email-masked]>
> > ---
> > Argh. Third time's a charm? Sorry, forgot to add my change before
> > amending and resending.
> 
> I applied this and things work much better, thanks!
> Tested-by: Seth Falcon <[email-masked]>

Thanks guys.  This is now in maint and master.  Its going to
be part of git-gui 0.9.3, whenever that happens.
 
> One thing.  When I quit git gui I see the following on the terminal:
> 
> TkMacOSXDoHLEvent failed : cppe 1                   ,kHighLevelEvent  61657674 0000 tvea,-1708

Yea, I see some random errors from git-gui when I use an option menu.
I think there's something buggy with Tk on Aqua.  Maybe we should
report these to the Tk Aqua folks, especially if we could distill
the issue down to a really short Tk script.

-- 
Shawn.